Index: Fl_Tabs.cxx
===================================================================
--- Fl_Tabs.cxx	(revision 4370)
+++ Fl_Tabs.cxx	(working copy)
@@ -281,6 +281,18 @@
   int dh = Fl::box_dh(box());
   int dy = Fl::box_dy(box());
 
+  // compute offsets to make selected tab look bigger
+  int yofs = BORDER;
+  if (sel)
+  {
+    yofs = 0;  
+    x1 -= BORDER / 2;
+    x2 += BORDER / 2;
+    W += BORDER;
+  }
+
+  int xofs = sel ? BORDER / 2 : 0;
+
   if ((x2 < x1+W) && what == RIGHT) x1 = x2 - W;
 
   if (H >= 0) {
@@ -291,14 +303,14 @@
 
     Fl_Color c = sel ? selection_color() : o->selection_color();
 
-    draw_box(box(), x1, y(), W, H + 10, c);
+    draw_box(box(), x1, y() + yofs, W, H + 10 - yofs, c);
 
     // Save the previous label color
     Fl_Color oc = o->labelcolor();
 
     // Draw the label using the current color...
     o->labelcolor(sel ? labelcolor() : o->labelcolor());    
-    o->draw_label(x1, y(), W, H, FL_ALIGN_CENTER);
+    o->draw_label(x1, y() + yofs, W, H - yofs, FL_ALIGN_CENTER);
 
     // Restore the original label color...
     o->labelcolor(oc);
@@ -317,14 +329,14 @@
 
     Fl_Color c = sel ? selection_color() : o->selection_color();
 
-    draw_box(box(), x1, y() + h() - H - 10, W, H + 10, c);
+    draw_box(box(), x1, y() + h() - H - 10, W, H + 10 - yofs, c);
 
     // Save the previous label color
     Fl_Color oc = o->labelcolor();
 
     // Draw the label using the current color...
     o->labelcolor(sel ? labelcolor() : o->labelcolor());
-    o->draw_label(x1, y() + h() - H, W, H, FL_ALIGN_CENTER);
+    o->draw_label(x1, y() + h() - H, W, H - yofs, FL_ALIGN_CENTER);
 
     // Restore the original label color...
     o->labelcolor(oc);
